Commit 5545f186 authored by Marius Cramer's avatar Marius Cramer
Browse files

Changed Options directives to be compatible with apache 2.4

parent d69cca1c
......@@ -652,7 +652,7 @@ class installer_dist extends installer_base {
$content = rf('/etc/apache2/httpd.conf');
if(!stristr($content, 'Include /etc/apache2/sites-enabled/')) {
af('/etc/apache2/httpd.conf', "\n<Directory /srv/www>\n Options FollowSymlinks\n</Directory>\n\nInclude /etc/apache2/sites-enabled/\n\n");
af('/etc/apache2/httpd.conf', "\n<Directory /srv/www>\n Options +FollowSymlinks\n</Directory>\n\nInclude /etc/apache2/sites-enabled/\n\n");
}
unset($content);
......
......@@ -15,7 +15,7 @@
DocumentRoot {apps_vhost_dir}
SuexecUserGroup ispapps ispapps
<Directory {apps_vhost_dir}>
Options Indexes FollowSymLinks MultiViews +ExecCGI
Options +Indexes +FollowSymLinks +MultiViews +ExecCGI
AllowOverride AuthConfig Indexes Limit Options FileInfo
<FilesMatch "\.ph(p[3-5]?|tml)$">
SetHandler fcgid-script
......@@ -31,7 +31,7 @@
DocumentRoot {apps_vhost_dir}
AddType application/x-httpd-php .php
<Directory {apps_vhost_dir}>
Options FollowSymLinks
Options +FollowSymLinks
AllowOverride None
Order allow,deny
Allow from all
......
......@@ -14,7 +14,7 @@ NameVirtualHost *:{vhost_port}
DocumentRoot /var/www/ispconfig/
SuexecUserGroup ispconfig ispconfig
<Directory /var/www/ispconfig/>
Options Indexes FollowSymLinks MultiViews +ExecCGI
Options +Indexes +FollowSymLinks +MultiViews +ExecCGI
AllowOverride AuthConfig Indexes Limit Options FileInfo
<FilesMatch "\.ph(p[3-5]?|tml)$">
SetHandler fcgid-script
......@@ -30,7 +30,7 @@ NameVirtualHost *:{vhost_port}
DocumentRoot /usr/local/ispconfig/interface/web/
AddType application/x-httpd-php .php
<Directory /usr/local/ispconfig/interface/web>
Options FollowSymLinks
Options +FollowSymLinks
AllowOverride None
Order allow,deny
Allow from all
......
......@@ -20,7 +20,7 @@
AddType application/x-httpd-php .php
<Directory {apps_vhost_dir}>
# php_admin_value open_basedir "{apps_vhost_dir}:/usr/share:/tmp"
Options FollowSymLinks
Options +FollowSymLinks
AllowOverride None
Order allow,deny
Allow from all
......@@ -31,7 +31,7 @@
DocumentRoot {apps_vhost_dir}
SuexecUserGroup ispapps ispapps
<Directory {apps_vhost_dir}>
Options Indexes FollowSymLinks MultiViews +ExecCGI
Options +Indexes +FollowSymLinks +MultiViews +ExecCGI
AllowOverride AuthConfig Indexes Limit Options FileInfo
AddHandler fcgid-script .php
FCGIWrapper {website_basedir}/php-fcgi-scripts/apps/.php-fcgi-starter .php
......
......@@ -18,7 +18,7 @@ NameVirtualHost *:{vhost_port}
DocumentRoot /var/www/ispconfig/
SuexecUserGroup ispconfig ispconfig
<Directory /var/www/ispconfig/>
Options -Indexes FollowSymLinks MultiViews +ExecCGI
Options -Indexes +FollowSymLinks +MultiViews +ExecCGI
AllowOverride AuthConfig Indexes Limit Options FileInfo
AddHandler fcgid-script .php
FCGIWrapper /var/www/php-fcgi-scripts/ispconfig/.php-fcgi-starter .php
......@@ -35,7 +35,7 @@ NameVirtualHost *:{vhost_port}
AddType application/x-httpd-php .php
<Directory /usr/local/ispconfig/interface/web>
# php_admin_value open_basedir "/usr/local/ispconfig/interface:/usr/share:/tmp"
Options FollowSymLinks
Options +FollowSymLinks
AllowOverride None
Order allow,deny
Allow from all
......
......@@ -34,7 +34,7 @@
DocumentRoot {tmpl_var name='apps_vhost_dir'}
SuexecUserGroup ispapps ispapps
<Directory {tmpl_var name='apps_vhost_dir'}>
Options Indexes FollowSymLinks MultiViews +ExecCGI
Options +Indexes +FollowSymLinks +MultiViews +ExecCGI
AllowOverride AuthConfig Indexes Limit Options FileInfo
AddHandler fcgid-script .php
FCGIWrapper {tmpl_var name='apps_vhost_basedir'}/php-fcgi-scripts/apps/.php-fcgi-starter .php
......
......@@ -57,7 +57,7 @@
</IfModule>
<Directory {tmpl_var name='web_document_root_www'}>
Options FollowSymLinks
Options +FollowSymLinks
AllowOverride <tmpl_var name='allow_override'>
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
......@@ -85,7 +85,7 @@
</tmpl_if>
</Directory>
<Directory {tmpl_var name='web_document_root'}>
Options FollowSymLinks
Options +FollowSymLinks
AllowOverride <tmpl_var name='allow_override'>
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment